-- Customer specific once-script UWVA84.
--
-- (c) 2013 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xuwva84.lst
SET DEFINE OFF

--UWVA#23764 MLD: Vinkje bij Openstaande opdrachten ook afmelden default aan (setting)
UPDATE fac_setting
   SET fac_setting_pvalue = 1, fac_setting_datum = SYSDATE
 WHERE fac_setting_name = 'mld_close_opdr_default';

-- UWVA#27876+UWVA#27882 Webservice-user tbv. VOB-koppeling; dezelfde module, afdeling
--            en functie als _FACILITOR (= 33759)!
INSERT INTO prs_perslid (prs_perslid_module,
                         prs_srtperslid_key,
                         prs_afdeling_key,
                         prs_perslid_naam,
                         prs_perslid_oslogin,
                         prs_perslid_flags,
                         prs_perslid_apikey)
   SELECT   p.prs_perslid_module,
            p.prs_srtperslid_key,
            p.prs_afdeling_key,
            'Pseudo-user tbv. VOB',
            '_VOB',
            0,
            'KHXbqwlUKbzOMUgfcmPzmgHzyJxQiurN'
     FROM   prs_perslid p
    WHERE   p.prs_perslid_key = 33759;

-- UWVA#28137 Alle klachten (vakgroeptype 3) mogen verwijzen naar bestellingen, meldingen en reserveringen (waarde 13)   
UPDATE   mld_stdmelding
   SET   mld_stdmelding_kanverwijzen = 13
 WHERE   mld_stdmelding_key IN
               (SELECT   mld_stdmelding_key
                  FROM   mld_stdmelding std, mld_discipline md
                 WHERE   mld_ins_discipline_key = md.ins_discipline_key
                         AND md.ins_srtdiscipline_key = 3);    

COMMIT;

BEGIN adm.systrackscript('$Workfile: uwva84.sql $', '$Revision$', 2); END;
/
SPOOL OFF

@@uwva_prs.sql
@@uwva_fin.sql
@@uwva_hv.sql
@@uwva_misc.sql

BEGIN fac.registercustversion('UWVA', 84); END;
/
COMMIT;
